Subject: AW: AW: [Sigtran] (M2PA) Comments on M2PA v8 - Last Call

From: Schwarzbauer Hanns Juergen <[email-masked]>
Date: Thu, 8 May 2003 10:20:06 +0200

Tom,

At first sight I feel comfortable with your proposal.

One additional remark: M2PA draft shows in figure 9 an IPSP X connected 
with two other IPSPs denoted Y and Z. 
In case IPSP Z wants to communicate with IPSP Y, IPSP X  acts as an STP. 
I could imagine to state this in an additional sentence on page 23, e.g.
"Note that IPSP X acts as STP in case IPSP Z communicates with IPSP Y"

Greetings

HannsJuergen

> -----Ursprüngliche Nachricht-----
> Von: Tom George [mailto:[email-masked]]
> Gesendet: Donnerstag, 8. Mai 2003 00:39
> An: SIGTRAN e-mail list
> Betreff: Re: AW: [Sigtran] (M2PA) Comments on M2PA v8 - Last Call
> 
> 
> Hanns and Brian,
> 
> May I propose the following addition to the definition of SG in 1.2?
> 
> Signaling Gateway (SG) - A signaling agent that receives/sends SCN
> native signaling at the edge of the IP network [RFC2719]. In this
> context, an SG is an SS7 Signaling Point that has both an IP network
> connection used for SS7 over IP, and a traditional (non-IP) link to an
> SS7 network. ***If the SG is able to transfer messages 
> between nodes on
> the SCN and nodes on the IP network, the SG is also an STP.***
> 
> tomG.
> 
> 
> Schwarzbauer Hanns Juergen wrote:
> > 
> > Bidulock,
> > 
> > if you are sending an SS7 message destined to an SS7 node 
> having point code 2 via a node having point code 1, this node 
> is to be called an STP and not an SEP. Therefore using the 
> generic term SP hides the consequences for e.g. an node 
> inbetween the SEP and the SG.
> > 
> > Doing the magic you are talking about needs to tell the STP 
> in front of the SG that the SG is e.g. an A-link 
> consolidator, capable receiving messages having point codes 
> other than his own.
> > 
> > consequently I insist on having this clarification included 
> in the definition of an SG
> > 
> > greetings
> > 
> > HannsJuergen
> > 
>   [...]
> > > > > > Comment on section 1.2:
> > > > > >
> > > > > > definition of "Signaling Gateway": current text is "SG is
> > > > > an SS7 Signaling
> > > > > > Point". It should be clarified to read "SG is an SS7
> > > > > Signaling Transfer
> > > > > > Point". See e.g. the text below figure 1.
> > > > >
> > > > > The SG in Figure 2 is not necessarily an STP.  It could be an
> > > > > SEP connected
> > > > > directly to the SEP and IPSP via F-links and the SG does not
> > > > > need to have
> > > > > the transfer function to satisfy the configuration shown in
> > > > > the diagram.
> > > > > Usage of the general term SP (which includes SEP and STP) is
> > > > > appropriate.
> > > >
> > > > [HJS] It could not be called an SEP, because the messages
> > > the SG receives
> > > > are not addressed to its point code, but to the IpS'P's
> > > point code, so it's
> > > > an STP. Even the required transfer functionality is small.
> > >
> > > The diagram does not show the IPSP's communicating with each other
> > > via the SG at the MTP level.  It is therefore not 
> necessary that the
> > > SG relay at MTP level 3 and it is not necessarily an STP. 
>  It could
> > > be an SS7 mediation box peforming relay above MTP3 only, 
> or it could
> > > simply be a switch which does not permit SS7 message to 
> pass between
> > > another switch and the MGC.  It could be a G-MSC 
> connected to an MSC
> > > and an MGC.  It does not need the transfer function in 
> any of these
> > > circumstances.  Therefore it could be an SEP and not an 
> STP and the
> > > term SP is appropriate in the draft.
>   [...]
> 
> -- 
> * Tom George       PB7-24001 (near B-21)      
> [email-masked]  *
> * 972-519-3168   Intranet:  
http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 8 May 2003 03:38:21 -0600

Hanns,

It is irrelevant whether it has the STP function or not.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Tom George <[email-masked]>
Date: Thu, 08 May 2003 10:39:31 -0500

Hanns,

That is more than the figure is intended to show. The figure is just
there to show the relationship between SCTP associations and M2PA links.
There may be links between IPSP Y and IPSP Z. I would not want to make
any comment about what kind of network elements are present in Figures
8-10. So I use the most general term, SP. 

tomG.

  [...]
  [...]

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran